/*
 *	Include File Written by TPG on 29-MAY-02 13:47:25 */
/*
 *	TPARSE Table scl_thr_table
 */


#include "scl_thr_tbl_rtndef.h"
#define	THR_START	scl_thr_table[0]
#define	THRDEF_BASE_STATE	scl_thr_table[1]
#define	THRDEF_BASE_STATE_1	scl_thr_table[2]
#define	THRDEF_THR	scl_thr_table[11]
#define	THRDEF_THR_1	scl_thr_table[16]
#define	THRDEF_THR_2	scl_thr_table[22]
#define	THRDEF_THR_3	scl_thr_table[28]
#define	THRDEF_THR_4	scl_thr_table[33]
#define	THRDEF_THR_END	scl_thr_table[38]
#define	THRDEF_COMPLETE	scl_thr_table[39]
#define	THRDEF_COMPLETE_1	scl_thr_table[40]
#define	THR_END_SCRIPT	scl_thr_table[43]

static struct tpatab	scl_thr_table[] = {
/* 0: THR_START */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_BASE_STATE, INI_PARSE_THREAD, 0, 0, 
       0, 0, 0, 0, 0},
/* 1: THRDEF_BASE_STATE */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_BASE_STATE_1, ADD_THR_DEF, 0, 0, 0, 
       0, 0, 0, 0},
/* 2: THRDEF_BASE_STATE_1 */
   {0, PSLTPA_LAMBDA, 0, 0, 0, 0, &THR_END_SCRIPT, CHK_EOF, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_EOS, 0, 0, 0, 0, &THRDEF_BASE_STATE, SCL_GET_LINE, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &THRDEF_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &THRDEF_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &INCLUDE_FILE, &THRDEF_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &FORMAT_CHR, &THRDEF_BASE_STATE_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &SCL_DIR, &THRDEF_COMPLETE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "THREAD", 0, &THRDEF_THR, INI_THR, 0, 
       &scl_tpa.def_typl, DEF_THREAD, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &THRDEF_BASE_STATE, ERROR_LINE, SCL_INVDEF, 0, 
       0, 0, 0, 0, 0},
/* 11: THRDEF_THR */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_MESSAGE, PSL_PREMEOL, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &THRDEF_THR, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &THRDEF_THR, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_DATANAME, 0, 0, 0, 0, &THRDEF_THR_1, SAVE_SYMBOL_NAME, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_CMND, SCL_INVNAM, 0, 0, 
       0, 0, 0, 0},
/* 16: THRDEF_THR_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_MESSAGE, PSL_PREMEOL, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &THRDEF_THR_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &THRDEF_THR_1, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "FOR", 0, &THRDEF_THR_2, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_CMND, PSL_INVKEYWRD, 
       0, 0, 0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_CMND, PSL_SYNTAXERR, 
       0, 0, 0, 0, 0, 0},
/* 22: THRDEF_THR_2 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_MESSAGE, PSL_PREMEOL, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &THRDEF_THR_2, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &THRDEF_THR_2, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "TARGET", 0, &THRDEF_THR_3, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_CMND, PSL_INVKEYWRD, 
       0, 0, 0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_CMND, PSL_SYNTAXERR, 
       0, 0, 0, 0, 0, 0},
/* 28: THRDEF_THR_3 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_MESSAGE, PSL_PREMEOL, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &THRDEF_THR_3, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &THRDEF_THR_3, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_EXPRESSION, 0, 0, 0, 0, &THRDEF_THR_4, CHK_THR_TARGET, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_THR_END, ERROR_OPT, SCL_INVNAM, 0, 0, 
       0, 0, 0, 0},
/* 33: THRDEF_THR_4 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &THRDEF_COMPLETE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &THRDEF_THR_4, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &THRDEF_THR_4, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &THREAD_OPTS, &THRDEF_THR_END, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_COMPLETE, ERROR_CMND, PSL_SYNTAXERR, 
       0, 0, 0, 0, 0, 0},
/* 38: THRDEF_THR_END */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_COMPLETE, 0, 0, 0, 0, 0, 0, 0, 0},
/* 39: THRDEF_COMPLETE */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_COMPLETE_1, RESET_COMMAND_STATE, 0, 
       0, 0, 0, 0, 0, 0},
/* 40: THRDEF_COMPLETE_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &THRDEF_BASE_STATE, SCL_GET_LINE, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &THRDEF_COMPLETE_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THRDEF_BASE_STATE, ERROR_LINE, PSL_EXTTXT, 
       0, 0, 0, 0, 0, 0},
/* 43: THR_END_SCRIPT */
   {1, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
};
