/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// XMLParameter.h: interface for the CXMLParameter class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_XMLPARAMETER_H__F625B0AA_915E_43DC_B0E8_78C853E72F4B__INCLUDED_)
#define AFX_XMLPARAMETER_H__F625B0AA_915E_43DC_B0E8_78C853E72F4B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include "CallManager.h"
#include "XMLParser.h"
#include <string>
using namespace std;

class CCallManager;

class CXMLParameter  
{
public:
	virtual string GetType() = 0;
	virtual bool ToXML(string& strXML) = 0;
	virtual bool FromXML(CXMLNodeElement* pNode) = 0;
	virtual void SetCallManager(CCallManager* pCallManager) = 0;
};

#endif // !defined(AFX_XMLPARAMETER_H__F625B0AA_915E_43DC_B0E8_78C853E72F4B__INCLUDED_)
