/* Copyright (C) 2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

#if !defined(AFX_SERVERSETTINGSDLG_H__CBBE5581_9990_4990_918D_95EDDCBECB56__INCLUDED_)
#define AFX_SERVERSETTINGSDLG_H__CBBE5581_9990_4990_918D_95EDDCBECB56__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ServerSettingsDlg.h : header file
//
#include "ServerSettings.h"

/////////////////////////////////////////////////////////////////////////////
// CServerSettingsDlg dialog

class CServerSettingsDlg : public CDialog
{
// Construction
public:
	void CopyCommonDlls();
	void SaveSettings();
	CServerSettingsDlg(BOOL bRestart, CWnd* pParent = NULL);   // standard constructor
	CServerSettings m_settings;

// Dialog Data
	//{{AFX_DATA(CServerSettingsDlg)
	enum { IDD = IDD_SERVER_SETTINGS };
	int		m_nWebPort;
	CString	m_strWebRoot;
	BOOL	m_bUseFTP;
	CString	m_strFTPRoot;
	int		m_nFTPPort;
	BOOL	m_bUseSSL;
	CString	m_strCache;
	CString	m_strExtPath;
	CString	m_strFtpUser;
	CString	m_strFtpPass;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CServerSettingsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CServerSettingsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSave();
	afx_msg void OnUserftp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	BOOL m_bRestart;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SERVERSETTINGSDLG_H__CBBE5581_9990_4990_918D_95EDDCBECB56__INCLUDED_)
