/* Copyright (C) 2000-2001 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/
#if !defined(AFX_TIMERSELDLG_H__18E52A53_C1E3_11D4_94C4_00C04F89E392__INCLUDED_)
#define AFX_TIMERSELDLG_H__18E52A53_C1E3_11D4_94C4_00C04F89E392__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimerSelDlg.h : header file
//

#include "resource.h"
/////////////////////////////////////////////////////////////////////////////
// CTimerSelDlg dialog
#include "HTTPGraphs.h"

class CTimerSelDlg : public CDialog
{
// Construction
public:
	CTimerSelDlg(TimerList& listTimers,CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTimerSelDlg)
	enum { IDD = IDD_RT_VU_DLG };
	CListBox m_ctlTimerList;
	//}}AFX_DATA

	CStringArray m_arstrTimers;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimerSelDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTimerSelDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	int m_nRunIndex;
	TimerList& m_listTimers;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMERSELDLG_H__18E52A53_C1E3_11D4_94C4_00C04F89E392__INCLUDED_)
