#if !defined(AFX_CAPTURESAVEDLG_H__3915F086_0647_11D4_AC85_00105A483E3C__INCLUDED_)
#define AFX_CAPTURESAVEDLG_H__3915F086_0647_11D4_AC85_00105A483E3C__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CaptureSaveDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCaptureSaveDlg dialog

#include "DataNameCtrls.h"

class CCaptureSaveDlg : public CDialog
{

    // Construction
    CImageList              m_imlNormal ;
public:
    typedef enum { enCaptureMode,enTemplateMode,enScriptName} DialogMode;

    CCaptureSaveDlg(DialogMode nMode=enCaptureMode,CWnd* pParent = NULL);   // standard constructor


    void FillList() ;
    BOOL InitList() ;

    CString                 m_strScriptName;
    // Dialog Data
    //{{AFX_DATA(CCaptureSaveDlg)
    enum { IDD = IDD_CAPTURE_SAVE_DLG };
    CListCtrl   m_CaptureList;
    CDataNameEdit m_ctlScriptEdit;
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CCaptureSaveDlg)
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CCaptureSaveDlg)
    virtual BOOL OnInitDialog();
    virtual void OnOK();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    afx_msg void OnClickListCapture(NMHDR* pNMHDR, LRESULT* pResult);
    afx_msg void OnDblclkListCapture(NMHDR* pNMHDR, LRESULT* pResult);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    DialogMode m_nDialogMode;
	CStringArray m_arstrCaptures;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CAPTURESAVEDLG_H__3915F086_0647_11D4_AC85_00105A483E3C__INCLUDED_)
