#if !defined(AFX_ENDTIMERDLG_H__614A67A4_7D26_44E1_A93A_509C139EDF36__INCLUDED_)
#define AFX_ENDTIMERDLG_H__614A67A4_7D26_44E1_A93A_509C139EDF36__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EndTimerDlg.h : header file
//

#include <set>
using std::set;

typedef set<CString> stringStlSet;

/////////////////////////////////////////////////////////////////////////////
// CEndTimerDlg dialog

class CEndTimerDlg : public CDialog
{
// Construction
public:
	CEndTimerDlg(const stringStlSet & timerSet, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CEndTimerDlg)
	enum { IDD = IDD_ENDTIMER_DLG };
	CListBox	m_TimerList;
	//}}AFX_DATA
	CString		m_strTimerName;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEndTimerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEndTimerDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
    void FillList();

private:

	const stringStlSet & m_timerSet;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ENDTIMERDLG_H__614A67A4_7D26_44E1_A93A_509C139EDF36__INCLUDED_)
