/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// IDD_ABOUT
#define IDH_MODELLER_ABOUT_BUILD_INFO           3000
#define IDH_MODELLER_ABOUT_LICENCE              3001
#define IDH_MODELLER_ABOUT_ADVANCED             3002
#define IDH_MODELLER_ABOUT_OK                   3003

// IDD_ABOUT_ADVANCED
#define IDH_MODELLER_ABOUT_ADVANCED_CYRANO_HOME     3004
#define IDH_MODELLER_ABOUT_ADVANCED_FILELIST        3005
#define IDH_MODELLER_ABOUT_ADVANCED_EXPORT          3006
#define IDH_MODELLER_ABOUT_ADVANCED_OK              3007
#define IDH_MODELLER_ABOUT_ADVANCED_CANCEL          3008

// IDD_CAPTURE_LIST
#define IDH_MODELLER_CAPTURE_LIST_LIST_CAPTURE      3009

// IDD_CHOICE_SCL
#define IDH_MODELLER_CHOICE_SCL_RADIO_CAPTURE       3010
#define IDH_MODELLER_CHOICE_SCL_RADIO_SUBROUTINE    3011

// IDD_DEL_DELAY_PPAGE
#define IDH_MODELLER_DEL_DELAY_PPAGE_DEL_DELAY_EDIT     3012
#define IDH_MODELLER_DEL_DELAY_PPAGE_DEL_DELAY_SPIN     3013

// IDD_FILTER_DLG
#define IDH_MODELLER_FILTER_DLG_PAGE_COMBO          3014            //???

//IDD_IF_BOOLEAN_EXP_PPAGE
#define IDH_MODELLER_IF_BOOLEAN_EXP_PPAGE_IF_EXPRESSION_EDIT    3015

// IDD_IF_SRTEST_PPAGE
#define IDH_MODELLER_IF_SRTEST_PPAGE_IF_SR_URL_COMBO        3016
#define IDH_MODELLER_IF_SRTEST_PPAGE_IF_SRTIME_EDIT         3017
#define IDH_MODELLER_IF_SRTEST_PPAGE_IF_SRTIME_SPIN         3018

// IDD_IF_TEXT_MATCH_PPAGE
#define IDH_MODELLER_IF_TEXT_MATCH_PPAGE_IF_TEXT_MATCH_URL_COMBO    3019
#define IDH_MODELLER_IF_TEXT_MATCH_PPAGE_IF_TEXT_EDIT   3020

// IDD_IF_VALUE_TYPE_PPAGE
#define IDH_MODELLER_IF_VALUE_TYPE_PPAGE_IF_BOOLEAN_RADIO           3021
#define IDH_MODELLER_IF_VALUE_TYPE_PPAGE_IF_SRTEST_RADIO            3022
#define IDH_MODELLER_IF_VALUE_TYPE_PPAGE_IF_TEXT_MATCHING_RADIO     3023

// IDD_LICENCE_DLG
#define IDH_MODELLER_LICENCE_DLG_LICENCE            3024
#define IDH_MODELLER_LICENCE_DLG_OK                 3025

// IDD_LOOP_EXPRESSION_PPAGE
#define IDH_MODELLER_LOOP_EXPRESSION_PPAGE_LOOP_EXPRESSION_EDIT     3026

// IDD_PROJECT_LIST
#define IDH_MODELLER_PROJECT_LIST_LIST_PROJECT      3027

// IDD_SCL_COMMENT
#define IDH_MODELLER_SCL_COMMENT_EDIT_COMMENT           3028
#define IDH_MODELLER_SCL_COMMENT_OK                     3029
#define IDH_MODELLER_SCL_COMMENT_CANCEL                 3030

// IDD_SYNC_EVENT_PPAGE
#define IDH_MODELLER_SYNC_EVENT_PPAGE_PRIMARY_URL_COMBO     3031

// IDD_TEMPLATE_DLG
#define IDH_MODELLER_TEMPLATE_DLG_EDIT_PROJECT          3032
#define IDH_MODELLER_TEMPLATE_DLG_TEMPLATE_LIST         3033

// IDD_URLLIST_DLG
#define IDH_MODELLER_URLLIST_DLG_LIST_URL               3034
#define IDH_MODELLER_URLLIST_DLG_OK                     3035
#define IDH_MODELLER_URLLIST_DLG_CANCEL                 3036

// IDD_VAR_ADDRESSING_NAME
#define IDH_MODELLER_VAR_ADDRESSING_NAME_VAR_NAME_EDIT          3037
#define IDH_MODELLER_VAR_ADDRESSING_NAME_OK                     3038
#define IDH_MODELLER_VAR_ADDRESSING_NAME_CANCEL                 3039

//IDD_VAR_AUTOGEN_DLG
#define IDH_MODELLER_VAR_AUTOGEN_DLG_VAR_AUTO_PREFIX            3040
#define IDH_MODELLER_VAR_AUTOGEN_DLG_VAR_AUTO_FROM              3041
#define IDH_MODELLER_VAR_AUTOGEN_DLG_FROM_SPIN                  3042
#define IDH_MODELLER_VAR_AUTOGEN_DLG_VAR_AUTO_TO                3043
#define IDH_MODELLER_VAR_AUTOGEN_DLG_TO_SPIN                    3044
#define IDH_MODELLER_VAR_AUTOGEN_DLG_VAR_AUTO_STEP              3045
#define IDH_MODELLER_VAR_AUTOGEN_DLG_STEP_SPIN                  3046
#define IDH_MODELLER_VAR_AUTOGEN_DLG_OK                         3047
#define IDH_MODELLER_VAR_AUTOGEN_DLG_CANCEL                     3048

// IDD_VAR_DB_PPAGE
#define IDH_MODELLER_VAR_DB_PPAGE_DSN_COMBO                     3049
#define IDH_MODELLER_VAR_DB_PPAGE_LOGIN_EDIT                    3050
#define IDH_MODELLER_VAR_DB_PPAGE_PWD_EDIT                      3051

// IDD_VAR_DBCOLSEL_PPAGE
#define IDH_MODELLER_VAR_DBCOLSEL_PPAGE_TABLE_LIST              3052
#define IDH_MODELLER_VAR_DBCOLSEL_PPAGE_COLUMN_LIST             3053

// IDD_VAR_DBREQ_PPAGE
#define IDH_MODELLER_VAR_DBREQ_PPAGE_TABLE_RADIO                3054
#define IDH_MODELLER_VAR_DBREQ_PPAGE_REQUEST_RADIO              3055
#define IDH_MODELLER_VAR_DBREQ_PPAGE_REQ_EDIT                   3056

// IDD_VAR_DBROWSEL_PPAGE
#define IDH_MODELLER_VAR_DBROWSEL_PPAGE_ROWSEL_ALL              3057
#define IDH_MODELLER_VAR_DBROWSEL_PPAGE_ROWSEL_SOME             3058
#define IDH_MODELLER_VAR_DBROWSEL_PPAGE_ROWMAX_EDIT             3059
#define IDH_MODELLER_VAR_DBROWSEL_PPAGE_ROWMAX_SPIN             3060

// IDD_VAR_DBVALSEL_PPAGE
#define IDH_MODELLER_VAR_DBVALSEL_PPAGE_DBVALLIST_LIST          3061            //???

//IDD_VAR_FILE_PPAGE
#define IDH_MODELLER_VAR_FILE_PPAGE_VAR_FILEPATH_EDIT           3062
#define IDH_MODELLER_VAR_FILE_PPAGE_VALFILE_BUTTON              3063
#define IDH_MODELLER_VAR_FILE_PPAGE_EDITFILE_BUTTON             3064

// IDD_VAR_GENERAL_PPAGE
#define IDH_MODELLER_VAR_GENERAL_PPAGE_VAR_NAME_EDIT            3065
#define IDH_MODELLER_VAR_GENERAL_PPAGE_VAR_SCOPE_COMBO          3066
#define IDH_MODELLER_VAR_GENERAL_PPAGE_VAR_SOURCE_COMBO         3067
#define IDH_MODELLER_VAR_GENERAL_PPAGE_VARORD_SEQ_RADIO         3068
#define IDH_MODELLER_VAR_GENERAL_PPAGE_VARORD_RAN_RADIO         3069
#define IDH_MODELLER_VAR_GENERAL_PPAGE_VARTYP_CHAR_RADIO        3070
#define IDH_MODELLER_VAR_GENERAL_PPAGE_VARTYP_INT_RADIO         3071

// IDD_VAR_GRP_PPAGE
#define IDH_MODELLER_VAR_GRP_PPAGE_REQGRP_EDIT                  3072            //???

// IDD_VAR_HTML_PPAGE
#define IDH_MODELLER_VAR_HTML_PPAGE_VARPAGE_COMBO               3073
#define IDH_MODELLER_VAR_HTML_PPAGE_ELT_LIST                    3074

// IDD_VAR_VALLIST_PPAGE
#define IDH_MODELLER_VAR_VALLIST_PPAGE_VALLIST_LIST             3075
#define IDH_MODELLER_VAR_VALLIST_PPAGE_VAR_GENFILE              3076
#define IDH_MODELLER_VAR_VALLIST_PPAGE_AUTOGEN                  3077

// IDD_VI_SYNC_EVENT_PPAGE
#define IDH_MODELLER_VI_SYNC_EVENT_PPAGE_PRIMARY_URL_COMBO      3078

// IDD_VI_VARIABLISATION_PPAGE
#define IDH_MODELLER_VI_VARIABLISATION_PPAGE_GRIDWND            3079

// IDD_BROWSER_DLG
#define IDH_MODELLER_BROWSER_DLG_BROWSERS                       3080
#define IDH_MODELLER_BROWSER_DLG_OK                             3081
#define IDH_MODELLER_BROWSER_DLG_CANCEL                         3082

// IDD_CAPTURE_SAVE_DLG
#define IDH_MODELLER_CAPTURE_SAVE_DLG_SCRIPT_NAME               3083
#define IDH_MODELLER_CAPTURE_SAVE_DLG_LIST_CAPTURE              3085
#define IDH_MODELLER_CAPTURE_SAVE_DLG_HELP                      3086
#define IDH_MODELLER_CAPTURE_SAVE_DLG_OK                        3087
#define IDH_MODELLER_CAPTURE_SAVE_DLG_CANCEL                    3088

// IDD_GATEWAY_OPTIONS_DLG
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_RADIO_LOCAL            3089
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_RADIO_REMOTE           3090
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_EDIT_ADMIN_PORT        3091
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_EDIT_PORT              3092
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_TRACE_CHECK            3093
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_CONSOLE_CHECK          3094
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_EDIT_ADDRESS           3095
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_EDIT_ADDRESS_PORT      3096
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_EDIT_SECURE            3097
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_EDIT_SECURE_PORT       3098
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_CHECK_BYPASS           3099
#define IDH_MODELLER_GATEWAY_OPTIONS_DLG_EDIT_ADDRESS_NOPROXY   3100

// IDD_OPENDOCUMENT_DLG
#define IDH_MODELLER_OPENDOCUMENT_DLG_FILE_LIST                 3101
#define IDH_MODELLER_OPENDOCUMENT_DLG_OK                        3102
#define IDH_MODELLER_OPENDOCUMENT_DLG_CANCEL                    3103

// IDD_VARIABLEOPTIONS_DLG
#define IDH_MODELLER_VARIABLEOPTIONS_DLG_PREFIX                 3104
#define IDH_MODELLER_VARIABLEOPTIONS_DLG_OK                     3105
#define IDH_MODELLER_VARIABLEOPTIONS_DLG_CANCEL                 3106
