/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

// ScriptItemInfo.cpp: implementation of the CScriptItemInfo class.
//
//////////////////////////////////////////////////////////////////////
#include "stdafx.h"
#include "ScriptItemInfo.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CScriptItemInfo::CScriptItemInfo(ScriptItemType nType,int nStartLine,int nEndLine): 
	m_nItemType(nType),m_nStartLine(nStartLine),m_nNumLines(nEndLine-nStartLine+1)
{

}

CScriptItemInfo::~CScriptItemInfo()
{

}

#ifdef _DEBUG
void CScriptItemInfo::Dump() const 
{
	TRACE("Type: %d\nStart Line: %d\nNum Lines: %d\n",m_nItemType,m_nStartLine,m_nNumLines);
}
#endif