/*
 *	Include File Written by TPG on 29-MAY-02 13:47:26 */
/*
 *	TPARSE Table scl_env_table
 */


#include "scl_env_tbl_rtndef.h"
#define	SCL_START	scl_env_table[0]
#define	SCL_START_1	scl_env_table[2]
#define	SCL_START_2	scl_env_table[3]
#define	SCL_BASE_STATE	scl_env_table[4]
#define	ENV_START	scl_env_table[14]
#define	ENV_START_1	scl_env_table[15]
#define	ENV_BASE_STATE	scl_env_table[19]
#define	ENV_BASE_STATE_1	scl_env_table[35]
#define	ENV_BASE_STATE_2	scl_env_table[37]
#define	SCRIPT_RATE	scl_env_table[38]
#define	SCRIPT_RATE_1	scl_env_table[44]
#define	SCRIPT_RATE_2	scl_env_table[51]
#define	SCRIPT_MODE	scl_env_table[56]
#define	MODE_CHR_CELL_1	scl_env_table[68]
#define	MODE_SCREEN_1	scl_env_table[74]
#define	MODE_SCREEN_2	scl_env_table[80]
#define	MODE_SCREEN_3	scl_env_table[85]
#define	MODE_SCREEN_4	scl_env_table[90]
#define	MODE_SCREEN_5	scl_env_table[95]
#define	MODE_NEXT	scl_env_table[100]
#define	MODE_END	scl_env_table[105]
#define	SCRIPT_PROT	scl_env_table[106]
#define	SCR_PROT_CAT	scl_env_table[112]
#define	SCR_PROT_ACC	scl_env_table[123]
#define	SCR_PROT_ACC_VAL	scl_env_table[130]
#define	SCR_PROT_END	scl_env_table[139]
#define	SCRIPT_WAIT_UNIT	scl_env_table[143]
#define	SCRIPT_WAIT_UNIT_1	scl_env_table[149]
#define	ENV_COMPLETE	scl_env_table[156]
#define	ENV_COMPLETE_1	scl_env_table[157]

static struct tpatab	scl_env_table[] = {
/* 0: SCL_START */
   {0, PSLTPA_LAMBDA, 0, 0, 0, 0, &SCL_START_1, CHK_TYPE_THREAD, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &SCL_START_2, 0, 0, 0, 0, 0, 0, 0, 0},
/* 2: SCL_START_1 */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &THR_START, 0, 0, 0, 0, 0, 0, 0, 0},
/* 3: SCL_START_2 */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &SCL_BASE_STATE, INI_PARSE_SCRIPT, 0, 0, 0, 
       0, 0, 0, 0},
/* 4: SCL_BASE_STATE */
   {0, PSLTPA_LAMBDA, 0, 0, 0, 0, &PREM_EOF, CHK_EOF, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_EOS, 0, 0, 0, 0, &SCL_BASE_STATE, SCL_GET_LINE, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCL_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCL_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &INCLUDE_FILE, &SCL_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "ENVIRONMENT", 0, &ENV_START, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "DEFINITIONS", 0, &DEF_START, ERROR_TOKEN, 
       SCL_ENVMIS, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "CODE", 0, &CODE_START, ERROR_TOKEN, SCL_ENVMIS, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &FORMAT_CHR, &SCL_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &SCL_BASE_STATE, ERROR_BLANK, SCL_INVBASCMND, 
       0, 0, 0, 0, 0, 0},
/* 14: ENV_START */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &ENV_START_1, INI_ENV_START, 0, 0, 0, 
       0, 0, 0, 0},
/* 15: ENV_START_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, SCL_GET_LINE, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &ENV_START_1, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &ENV_START_1, 0, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_EXTTXT, 0, 0, 
       0, 0, 0, 0},
/* 19: ENV_BASE_STATE */
   {0, PSLTPA_LAMBDA, 0, 0, 0, 0, &PREM_EOF, CHK_EOF, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, SCL_GET_LINE, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &ENV_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &ENV_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "CODE", 0, &ENV_BASE_STATE_2, SAVE_THISTST, 0, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "DEFINITIONS", 0, &DEF_START, SAVE_THISTST, 0, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &SCRIPT_DESC, &ENV_COMPLETE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "ENVIRONMENT", 0, &ENV_BASE_STATE, ERROR_BLANK, 
       SCL_DUPCMND, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &INCLUDE_FILE, &ENV_BASE_STATE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "INPUT", 0, &SCRIPT_RATE, CHK_ENV_CMND, ENV_RATE, 
       &scl_tpa.env_opt_specl, ENV_RATE, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "MODE", 0, &SCRIPT_MODE, CHK_ENV_CMND, ENV_MODE, 
       &scl_tpa.env_opt_specl, ENV_MODE, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "PROTECTION", 0, &SCRIPT_PROT, CHK_ENV_CMND, 
       ENV_PROT, &scl_tpa.env_opt_specl, ENV_PROT, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "WAIT", 0, &SCRIPT_WAIT_UNIT, CHK_ENV_CMND, 
       ENV_WAIT_UNIT, &scl_tpa.env_opt_specl, ENV_WAIT_UNIT, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &SCL_DIR, &ENV_COMPLETE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_LAMBDA, 0, 0, 0, 0, &ENV_BASE_STATE_1, CHK_TYPE_TEST, 0, 
       &scl_tpa.def_typl, DEF_SUBTEST, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, SCL_INVENVCMND, 0, 
       0, 0, 0, 0, 0},
/* 35: ENV_BASE_STATE_1 */
   {0, PSLTPA_SUBXPR, 0, 0, 0, &TST_ENV_CMND, &ENV_COMPLETE, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, SCL_INVENVCMND, 0, 
       0, 0, 0, 0, 0},
/* 37: ENV_BASE_STATE_2 */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &CODE_START, ADD_DEF, 0, 0, 0, 0, 0, 0, 0},
/* 38: SCRIPT_RATE */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCRIPT_RATE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCRIPT_RATE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "RATE", 0, &SCRIPT_RATE_1, INI_INPUT_RATE, 0, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_INVKEYWRD, 
       0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 44: SCRIPT_RATE_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCRIPT_RATE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCRIPT_RATE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, '=', 0, 0, 0, &SCRIPT_RATE_2, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &INPUT_RATE, &ENV_COMPLETE, SET_INPUT_RATE, 0, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_INVKEYWRD, 
       0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 51: SCRIPT_RATE_2 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCRIPT_RATE_2, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCRIPT_RATE_2, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &INPUT_RATE, &ENV_COMPLETE, SET_INPUT_RATE, 0, 
       0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, VTEST_INVINPRATE, 
       0, 0, 0, 0, 0, 0},
/* 56: SCRIPT_MODE */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCRIPT_MODE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCRIPT_MODE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CHARACTER_CELL, &MODE_NEXT, CHK_MODE, 
       MODE_CHR_CELL, &scl_tpa.mode_flagl, MODE_CHR_CELL, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CHARACTER_CELL, &MODE_NEXT, ERROR_OPT, 
       PSL_CNFDUPOPT, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "HTTP", 0, &MODE_NEXT, CHK_MODE, MODE_HTTP, 
       &scl_tpa.mode_flagl, MODE_HTTP, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "HTTP", 0, &MODE_NEXT, ERROR_OPT, PSL_CNFDUPOPT, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "SCREEN", 0, &MODE_SCREEN_1, CHK_MODE, 
       MODE_SCREEN, &scl_tpa.mode_flagl, MODE_SCREEN, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "SCREEN", 0, &MODE_NEXT, ERROR_OPT, 
       PSL_CNFDUPOPT, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ',', 0, 0, 0, &SCRIPT_MODE, ERROR_TOKEN, PSL_MISOPT, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &MODE_NEXT, ERROR_OPT, PSL_INVKEYWRD, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 68: MODE_CHR_CELL_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &MODE_END, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &MODE_CHR_CELL_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &MODE_CHR_CELL_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "CELL", 0, &MODE_NEXT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ',', 0, 0, 0, &SCRIPT_MODE, 0, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 74: MODE_SCREEN_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &MODE_END, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &MODE_SCREEN_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &MODE_SCREEN_1, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, '[', 0, 0, 0, &MODE_SCREEN_2, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ',', 0, 0, 0, &SCRIPT_MODE, 0, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 80: MODE_SCREEN_2 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &MODE_SCREEN_2, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &MODE_SCREEN_2, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_DECIMAL, 0, 0, 0, 0, &MODE_SCREEN_3, CHK_SCREEN_DEPTH, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 85: MODE_SCREEN_3 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &MODE_SCREEN_3, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &MODE_SCREEN_3, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ',', 0, 0, 0, &MODE_SCREEN_4, 0, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 90: MODE_SCREEN_4 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &MODE_SCREEN_4, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &MODE_SCREEN_4, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_DECIMAL, 0, 0, 0, 0, &MODE_SCREEN_5, CHK_SCREEN_WIDTH, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 95: MODE_SCREEN_5 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &MODE_SCREEN_5, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &MODE_SCREEN_5, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ']', 0, 0, 0, &MODE_NEXT, 0, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 100: MODE_NEXT */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &MODE_END, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &MODE_NEXT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &MODE_NEXT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ',', 0, 0, 0, &SCRIPT_MODE, 0, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 105: MODE_END */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &ENV_COMPLETE, CHK_MODES_END, 0, 0, 0, 
       0, 0, 0, 0},
/* 106: SCRIPT_PROT */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCRIPT_PROT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCRIPT_PROT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, '(', 0, 0, 0, &SCR_PROT_CAT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, TPA_PREMATURE_EOF, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 112: SCR_PROT_CAT */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCR_PROT_CAT, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCR_PROT_CAT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ')', 0, 0, 0, &ENV_COMPLETE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "GROUP", 0, &SCR_PROT_ACC, SET_PROT_CAT, 
       SPROT_GROUP_V, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "OWNER", 0, &SCR_PROT_ACC, SET_PROT_CAT, 
       SPROT_OWNER_V, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "SYSTEM", 0, &SCR_PROT_ACC, SET_PROT_CAT, 
       SPROT_SYSTEM_V, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "WORLD", 0, &SCR_PROT_ACC, SET_PROT_CAT, 
       SPROT_WORLD_V, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, TPA_PREMATURE_EOF, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_INVKEYWRD, 
       0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 123: SCR_PROT_ACC */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &SCR_PROT_END, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ':', 0, 0, 0, &SCR_PROT_ACC_VAL, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, '=', 0, 0, 0, &SCR_PROT_ACC_VAL, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ',', 0, 0, 0, &SCR_PROT_CAT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ')', 0, 0, 0, &ENV_COMPLETE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, TPA_PREMATURE_EOF, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 130: SCR_PROT_ACC_VAL */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &SCR_PROT_END, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, 'D', 0, 0, 0, &SCR_PROT_ACC_VAL, SET_PROT_ACC, SPTP_DEL_V, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, 'E', 0, 0, 0, &SCR_PROT_ACC_VAL, SET_PROT_ACC, SPTP_EXE_V, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, 'R', 0, 0, 0, &SCR_PROT_ACC_VAL, SET_PROT_ACC, SPTP_RED_V, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, 'W', 0, 0, 0, &SCR_PROT_ACC_VAL, SET_PROT_ACC, SPTP_WRT_V, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ',', 0, 0, 0, &SCR_PROT_CAT, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ')', 0, 0, 0, &ENV_COMPLETE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, TPA_PREMATURE_EOF, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 139: SCR_PROT_END */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_CHAR, ')', 0, 0, 0, &ENV_COMPLETE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_LAMBDA, 0, 1, 0, 0, 0, TPA_PREMATURE_EOF, 0, 0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 143: SCRIPT_WAIT_UNIT */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCRIPT_WAIT_UNIT, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCRIPT_WAIT_UNIT, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "UNIT", 0, &SCRIPT_WAIT_UNIT_1, INI_INPUT_RATE, 0, 
       0, 0, 0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_INVKEYWRD, 
       0, 0, 0, 0, 0, 0},
   {1, PSLTPA_ANY, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 149: SCRIPT_WAIT_UNIT_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_MESSAGE, PSL_PREMEOL, 0, 
       0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &CONT_LINE, &SCRIPT_WAIT_UNIT_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &SCRIPT_WAIT_UNIT_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "SECONDS", 0, &ENV_COMPLETE, SET_WAIT_UNIT, 
       WAIT_SECONDS, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_KEYWORD, 0, 0, "MILLISECONDS", 0, &ENV_COMPLETE, SET_WAIT_UNIT, 
       WAIT_MILLISECONDS, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_ALPHA, 0, 0, 0, 0, &ENV_COMPLETE, ERROR_LINE, PSL_INVKEYWRD, 0, 
       0, 0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &ENV_COMPLETE, ERROR_LINE, PSL_SYNTAXERR, 0, 
       0, 0, 0, 0, 0},
/* 156: ENV_COMPLETE */
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &ENV_COMPLETE_1, RESET_COMMAND_STATE, 0, 0, 
       0, 0, 0, 0, 0},
/* 157: ENV_COMPLETE_1 */
   {0, PSLTPA_EOS, 0, 0, 0, 0, &ENV_BASE_STATE, 0, 0, 0, 0, 0, 0, 0, 0},
   {0, PSLTPA_SUBXPR, 0, 0, 0, &COMMENT, &ENV_COMPLETE_1, 0, 0, 0, 0, 
       0, 0, 0, 0},
   {1, PSLTPA_LAMBDA, 0, 0, 0, 0, &ENV_BASE_STATE, ERROR_LINE, PSL_EXTTXT, 0, 
       0, 0, 0, 0, 0}
};
