#ifndef PSL__PSLFIL_PRMDEF_LOADED
#define PSL__PSLFIL_PRMDEF_LOADED 1
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/

/*===========================================================================*/
/*                                       */
/*               **** C O M M O N ****                   */
/*                                       */
/*===========================================================================*/
/*                                       */
/*          Module Name: PSLFIL_PRMDEF               */
/*          ============                         */
/*                                       */
/* Description:                                  */
/* ============                                  */
/*                                       */
/*  Parameters for PSL_FILE_PARSE.                       */
/*                                       */
/*                                       */
/*===========================================================================*/

/*** MODULE PSLFIL_PRMDEF ***/

/*  Flags for PSL_FILE_PARSE. */

#define            FILPRS_RELDIR 0X1
/* Use device/directory of Related File */
#define            FILPRS_OBSOLETE 0X2
/* Do NOT set SYNCHK flag (obsolete) */
#define            FILPRS_INPUT 0X4
/* Locate Input File        */


/*  End of C Include File */

#endif  /* PSL__PSLFIL_PRMDEF_LOADED */
