#if !defined(AFX_VARADDRNAMEDLG_H__85D0FF61_2B16_11D4_BEBE_00A024AC5351__INCLUDED_)
#define AFX_VARADDRNAMEDLG_H__85D0FF61_2B16_11D4_BEBE_00A024AC5351__INCLUDED_
/* Copyright (C) 2000 Cyrano SA
 
   This file is part of OpenSTA
 
   OpenSTA is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 2, or (at your option) any later
   version.
 
   OpenSTA is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
   for more details.
 
   You should have received a copy of the GNU General Public License along
   with OpenSTA; see the file COPYING.  If not, write to the Free Software
   Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 
   For more information about the GNU Public license see:
   http://www.gnu.org/copyleft/gpl.html
 
   OpenSTA is at:
   http://www.opensta.org/
   http://opensta.sourceforge.net/
*/


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// VarAddrNameDlg.h : header file
//
#include <VarStructures.h>

/////////////////////////////////////////////////////////////////////////////
// CVarAddrNameDlg dialog

class CVarAddrNameDlg : public CDialog
{
    // Construction
public:
    CVarAddrNameDlg( CVarResponse * _pVarResponse = NULL, CWnd* pParent = NULL );   // standard constructor

    CVarResponse * m_pVarResponse;

    // Dialog Data
    //{{AFX_DATA(CVarAddrNameDlg)
    enum { IDD = IDD_VAR_ADDRESSING_NAME };
    // NOTE: the ClassWizard will add data members here
    //}}AFX_DATA


    // Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CVarAddrNameDlg)
public:
    virtual void Ctrl2Values();
    //}}AFX_VIRTUAL

    // Implementation
protected:

    // Generated message map functions
    //{{AFX_MSG(CVarAddrNameDlg)
    virtual void OnOK();
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    virtual BOOL OnInitDialog();
    afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VARADDRNAMEDLG_H__85D0FF61_2B16_11D4_BEBE_00A024AC5351__INCLUDED_)
